;lscht alle in einer Zeichnung definierten Layerfilter

(defun C:RemLayerFilters (/ eprLayFilt lstTemp lstFilters enaFilter)
  (setq eprLayFilt (entget (cdr (assoc 360 (entget (cdr (assoc 360 (entget
  (cdr (assoc 330 (entget (tblobjname "LAYER" "0"))))))))))))
  (foreach lstTemp eprLayFilt
    (if (= (car lstTemp) 360)
      (progn
        (princ lstTemp)
        (setq lstFilters (append lstFilters (list (cdr lstTemp))))
      )
    )
  )
  (if lstFilters
    (foreach enaFilter lstFilters (entdel enaFilter))
  )
  (princ)
)

(DEFUN C:DELFIL()
(progn
(vl-load-com)

(defun ax:GetAcadLayerFilterDictionary (/ dict)
  (setq dict
  (member (cons 3 "ACAD_LAYERFILTERS")
   (entget
     (vlax-vla-object->ename
       (vla-GetExtensionDictionary
         (vla-get-layers
    (vla-get-ActiveDocument
      (vlax-get-acad-object)
    )
         )
       )
     )
   )
  )
  )
  (if dict
    (cdr (assoc 360 dict))
    nil
  )
)
  (entdel (ax:GetAcadLayerFilterDictionary))
)
)

(prompt "\nZum starten 'RemLayerfilters' eingeben -> Lisp Version")
(prompt "\nZum starten 'DELFIL' eingeben -> VLisp Version")